/***************************************************************
ADOBE SYSTEMS INCORPORATED 
Copyright 2002 Adobe Systems Incorporated 
All Rights Reserved 

NOTICE:  Adobe permits you to use, modify, and distribute this 
file in accordance with the terms of the Adobe license agreement 
accompanying it.  If you have received this file from a source 
other than Adobe, then your use, modification, or distribution
of it requires the prior written permission of Adobe. 
***************************************************************/
/***************************************************************
Author: Henry Lee
***************************************************************/

/***************************************************************

This script is a recursive function that will take any covertable
(i.e. PhotoShop PSD or Illustrator AI) object and continually 
break them down until only the objects remain.  This simplifies
the task of having to repeatedly execute the Convert to Objects
command.

***************************************************************/

/***************************************************************
To change the behavior of this script, make your changes below
***************************************************************/

comp = application.currentComposition;
objs = comp.selection;

for (var i=0; i<objs.length; i++) {
  convertIntoObjs(objs[i]);
}


/***************************************************************
DO NOT EDIT BELOW THIS LINE
***************************************************************/

function convertIntoObjs(object) {
	var i;
	var convertedArray;
    convertedArray = object.convertIntoObjects();
    if ((convertedArray.length>1)||(convertedArray[0] != object)) {
      for (i=0;i<convertedArray.length;i++) {
        convertIntoObjs(convertedArray[i]);
      }
    }
}


