/***************************************************************
ADOBE SYSTEMS INCORPORATED 
Copyright 2002 Adobe Systems Incorporated 
All Rights Reserved 

NOTICE:  Adobe permits you to use, modify, and distribute this 
file in accordance with the terms of the Adobe license agreement 
accompanying it.  If you have received this file from a source 
other than Adobe, then your use, modification, or distribution
of it requires the prior written permission of Adobe. 
***************************************************************/
/***************************************************************
Author: Mary Obelnicki
***************************************************************/

/***************************************************************

alignStartFrames(arrayObjs, moveKeyFrames, alignToCTI)
	This utility will take an array of objects and align their 
	start frames depending on the set parameters.

Arguments:
	arrayObjs (array) - the array of LMObjects to align the lifetimes of
	moveKeyFrames (boolean) - If set to true, move the key frames with 
		the lifetime. If set to false, the key frames in place.
	alignToCTI (boolean) - If set to true, place the first object's 
		start frame at the current position of the CTI. If set to false, 
		the start frame of the first object will be left in place.

***************************************************************/

/***************************************************************
To change the behavior of this script, make your changes below
***************************************************************/

alignStartFrames(application.currentComposition.selection, true, true); 

/***************************************************************
DO NOT EDIT BELOW THIS LINE
***************************************************************/

#include "../../Include/shellSort.js"
#include "../../Include/TimeFrameTools.js"
