/***************************************************************
ADOBE SYSTEMS INCORPORATED 
Copyright 2002 Adobe Systems Incorporated 
All Rights Reserved 

NOTICE:  Adobe permits you to use, modify, and distribute this 
file in accordance with the terms of the Adobe license agreement 
accompanying it.  If you have received this file from a source 
other than Adobe, then your use, modification, or distribution
of it requires the prior written permission of Adobe. 
***************************************************************/
/***************************************************************
Author: Mary Obelnicki
***************************************************************/

/***************************************************************

staggerStartFrames(arrayObjs, moveKeyFrames, alignToCTI, stagger, maintainStartOrder, topDown)
	This utility will take an array of objects and distribute their start frames
	by staggering each successive one a preset amount as set by the programmer.

Arguments:
	arrayObjs (array) - the array of LMObjects to align the lifetimes of
	moveKeyFrames (boolean) - True: move the key frames with the lifetime. 
		False: the key frames in place.
	alignToCTI (boolean) - True: place the first object's start frame at the current 
		position of the CTI. False: the start frame of the first object will be set to 0.
	stagger (integer) - the number of frames between each LMObject's start frame		
	maintainStartOrder (boolean) - True: maintain the order of start key frames. 
		False: the start order will be automatically sorted as determined by topDown.
	topDown (boolean) - True: the order of sorting will be dependent upon the LMObject's
		position in the array. The stagger order will be from the first object
		in the array to the last object in the array.  False: the stagger order will be 
		from the last object in the array to the first object in the array

***************************************************************/

/***************************************************************
To change the behavior of this script, make your changes below
***************************************************************/

staggerStartFrames(application.currentComposition.selection, true, true, 3, true, false); 

/***************************************************************
DO NOT EDIT BELOW THIS LINE
***************************************************************/

#include "../../Include/shellSort.js"
#include "../../Include/TimeFrameTools.js"
