/***************************************************************
ADOBE SYSTEMS INCORPORATED 
Copyright 2002 Adobe Systems Incorporated 
All Rights Reserved 

NOTICE:  Adobe permits you to use, modify, and distribute this 
file in accordance with the terms of the Adobe license agreement 
accompanying it.  If you have received this file from a source 
other than Adobe, then your use, modification, or distribution
of it requires the prior written permission of Adobe. 
***************************************************************/
/***************************************************************
Author: Mary Obelnicki
***************************************************************/

/***************************************************************
alignEndToEnd is a utility that allow the user to align the lifetimes 
of a selection of objects.  

To use this file, create some objects, give their lifetimes some 
length and run the file. 

When aligning the lifetimes there are a number of options.  The user can
control if the keyframes are moved with the lifetimes or left in place,
if the first lifetime is aligned to the CIT, if the original start order
of the lifetimes is maintained in the stagger, if the original order is
not maintained, if the objects should be staggered from top down, or
bottom up, the amount of overlap between the lifetimes and the type of
transition between the lifetimes. 
***************************************************************/

#include "../../Include/shellSort.js"
#include "../../Include/TimeAlignEndToEnd.js"

/***************************************************************
To change the behavior of this script, make your changes below
***************************************************************/

var theSelection = application.currentComposition.selection; 

alignEndToEnd(	theSelection, 	// the objects to align the lifetimes of
				true, 			// move the keyframes with the lifetime? 
				false, 			// place first lifetime at position of the cti?
				false, 			// when staggering lifetimes, maintain original start order? 
				true, 			// stagger lifetimes topdown in zorder (false is bottom up) 
				3, 				// frames of overlap between lifetimes
				2); 			// transition style in frames of overlap

/*
transitionStyle: 
0: no style
1: fade in
2: fade out
3: fade in and out
*/
